local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Capping", "Capping")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 5
local TIMER_ID = "CappingShakedown"
local TESTICON = "Interface\\Icons\\Ability_ThunderBolt"
local BAR_DURATION = 10

function Addon:Start()
    
    -- show the anchor
    Capping:Show()
    
    -- show some bars
    self:StartBars()
    
    -- schedule repeating bar shows
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.StartBars, self)
end

function Addon:Stop()

    -- kill the timers
    self:RemoveTimer(TIMER_ID)
    
    -- hide the anchor
    Capping:Hide()
    
    -- hide the bars
    self:StopBars()
end

function Addon:StartBars()

    -- get rid of existing bars
    self.StopBars()

    -- start some bars
    Capping:StartBar("Capping Test Info1", BAR_DURATION, TESTICON, "info1", nil, true)
    Capping:StartBar("Capping Test Info2", BAR_DURATION, TESTICON, "info2", nil, true)
    Capping:StartBar("Capping Test Alliance", BAR_DURATION, TESTICON, "alliance")
    Capping:StartBar("Capping Test Horde", BAR_DURATION, TESTICON, "horde")
    Capping:StartBar("Capping Test", BAR_DURATION, TESTICON, "info1")
    
end

function Addon:StopBars()
    
    -- stop those bars
    Capping:StopBar("Capping Test Info1")
    Capping:StopBar("Capping Test Info2")
    Capping:StopBar("Capping Test Alliance")
    Capping:StopBar("Capping Test Horde")
    Capping:StopBar("Capping Test")
    
end