local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Chinchilla", "Chinchilla")
if not Addon then return end

Addon.pos = nil

function Addon:Start()
    
    self.pos = Chinchilla:GetModule("Position")
    
    -- unlock the map and movers
    Chinchilla:CallMethodOnAllModules(false, "SetLocked", false)
    if Chinchilla:IsModuleActive("Position") and self.pos then
		if not IsAddOnLoaded("SmoothDurability") then
			self.pos:ShowFrameMover('durability', true)
		end
        self.pos:ShowFrameMover('questWatch', true)
        self.pos:ShowFrameMover('questTimer', true)
        self.pos:ShowFrameMover('capture', true)

        -- remove the standardUI frames
        local questWatchCoveringFrame = getglobal("questWatchCoveringFrame")
        if questWatchCoveringFrame then
            questWatchCoveringFrame:Hide()
        end
        local durabilityCoveringFrame = getglobal("durabilityCoveringFrame")
        if durabilityCoveringFrame then
            durabilityCoveringFrame:Hide()
        end
    end
end

function Addon:Stop()
    
    -- lock the map and movers
    Chinchilla:CallMethodOnAllModules(false, "SetLocked", true)
    if Chinchilla:IsModuleActive("Position") and self.pos then
        self.pos:ShowFrameMover('durability', false)
        self.pos:ShowFrameMover('questWatch', false)
        self.pos:ShowFrameMover('questTimer', false)
        self.pos:ShowFrameMover('capture', false)
    end
end
