local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("ClassTimer", "ClassTimer")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 60
local TIMER_ID = "CTShakedown"

function Addon:Start()
    
    -- display now
    self:Display()
    
    -- schedule a display every minute
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.Display, self)

end

function Addon:Stop()

    -- stop display scheduling
    self:RemoveTimer(TIMER_ID)
    
    -- lock the bars, if they aren't
    if not ClassTimer.Menu.args.BarSettings.args.sticky.args.lock.get() then
        ClassTimer.Menu.args.BarSettings.args.sticky.args.lock.set({'General'}, true)
    end

end

function Addon:Display()

    if ClassTimer.Menu.args.BarSettings.args.sticky.args.lock.get() then
        -- unlock the bars, which puts them on a 2 min timer
        ClassTimer.Menu.args.BarSettings.args.sticky.args.lock.set({'General'}, false)
    else
        -- lock the bars, then unlock them again; bad things happen if you leave them for the 2 min timer
        ClassTimer.Menu.args.BarSettings.args.sticky.args.lock.set({'General'}, true)
        ClassTimer.Menu.args.BarSettings.args.sticky.args.lock.set({'General'}, false)
    end

end