local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- localisations
local L = Rock("LibRockLocale-1.0"):GetTranslationNamespace("ShakedownNECB")
L:AddTranslations("enUS", function() return {
    ["Natur EnemyCastBar"] = true,
} end)

local Addon = NShakedown.AddonBase:new("CECB_Options", L["Natur EnemyCastBar"])
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 21
local TIMER_ID = "CECBShakedown"

function Addon:Start()
    
    -- start the bars now
    self:Display()
    
    -- repeatedly schedule a new test display
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.Display, self)
    
end

function Addon:Stop()
    
    -- stop display scheduling
    self:RemoveTimer(TIMER_ID)

    -- stop the bars using the same method as the "movable bar" button in the options
    CEnemyCastBar_Handler("clear")

end

function Addon:Display()

    -- start the bars using the same method as the "movable bar" button in the options
    CEnemyCastBar_Options("show")    

end