local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("SimpleMinimap", "SimpleMinimap")
if not Addon then return end

function Addon:Start()
    
    -- unlock the map and movers
    simpleMinimap:GetOptions().args.lock.set("lock", false)
    simpleMinimap:GetOptions().args.lock.set("lockdown", false)
    
    -- remove the standardUI covering frames
    if simpleMinimap:IsModuleActive("movers") then
        local questWatchCoveringFrame = getglobal("questWatchCoveringFrame")
        if questWatchCoveringFrame then
            questWatchCoveringFrame:Hide()
        end

        local durabilityCoveringFrame = getglobal("durabilityCoveringFrame")
        if durabilityCoveringFrame then
            durabilityCoveringFrame:Hide()
        end
    end
end

function Addon:Stop()

    -- unlock the map and movers
    simpleMinimap:GetOptions().args.lock.set("lock", true)
    simpleMinimap:GetOptions().args.lock.set("lockdown", true)
end